import { UNKNOWN, VIMEO, YOUTUBE } from '../settings.js';
var useDetectVideoType = function useDetectVideoType() {
  var detectVideoType = function detectVideoType(src) {
    if (src.includes(YOUTUBE.VIDEO_TYPE) || src.includes(YOUTUBE.SHORT_URL)) return YOUTUBE.VIDEO_TYPE;
    if (src.includes(VIMEO.VIDEO_TYPE)) return VIMEO.VIDEO_TYPE;
    return UNKNOWN;
  };
  return {
    detectVideoType: detectVideoType
  };
};
export default useDetectVideoType;